Package com.xebialabs.xlrelease.api.v1.forms

# Enum Class DeliveryOrderMode

java.lang.Object
java.lang.Enum<DeliveryOrderMode>
com.xebialabs.xlrelease.api.v1.forms.DeliveryOrderMode

All Implemented Interfaces:
  `Serializable`, `Comparable<DeliveryOrderMode>`, `Constable`

public enum DeliveryOrderMode extends Enum<DeliveryOrderMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATED_DATE`
  `END_DATE`
  `START_DATE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DeliveryOrderMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DeliveryOrderMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### START_DATE

    public static final DeliveryOrderMode START_DATE

  - ### END_DATE

    public static final DeliveryOrderMode END_DATE

  - ### CREATED_DATE

    public static final DeliveryOrderMode CREATED_DATE

- ## Method Details

  - ### values

    public static DeliveryOrderMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DeliveryOrderMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null